#include "gpio.h"
#include <avr/io.h>

void PUMP_init(void)
{
	DDRA |= (1 << PA7);
	PORTA |= (1 << PA7);
}

void PUMP_start(void)
{
	PORTA &= ~(1 << PA7);
}

void PUMP_stop(void)
{
	PORTA |= (1 << PA7);
}

void LED_init(void)
{
	DDRA |= (1 << PA0) |
		(1 << PA1);
}

void LED_set(void)
{
	PORTA |= (1 << PA0) |
		 (1 << PA1);
}

void LED_clear(void)
{
	PORTA &= ~(1 << PA0);
	PORTA &= ~(1 << PA1);
}
